import request from '@/utils/request'

// 查询积分商品分类列表
export function listIntegralCate(query) {
  return request({
    url: '/system/IntegralCate/list',
    method: 'get',
    params: query
  })
}

// 查询积分商品分类详细
export function getIntegralCate(id) {
  return request({
    url: '/system/IntegralCate/' + id,
    method: 'get'
  })
}
// 任务状态修改
export function changetypeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/IntegralCate/changeStatus',
    method: 'put',
    data: data
  })
}
// 新增积分商品分类
export function addIntegralCate(data) {
  return request({
    url: '/system/IntegralCate',
    method: 'post',
    data: data
  })
}

// 修改积分商品分类
export function updateIntegralCate(data) {
  return request({
    url: '/system/IntegralCate',
    method: 'put',
    data: data
  })
}

// 删除积分商品分类
export function delIntegralCate(id) {
  return request({
    url: '/system/IntegralCate/' + id,
    method: 'delete'
  })
}
